Package org.gradle.ide.visualstudio

# Interface VisualStudioExtension

@Incubating public interface VisualStudioExtension
The configuration for mapping a set of `NativeComponentSpec`s to a Visual Studio project.

## Method Summary

Modifier and Type
Method
Description
`NamedDomainObjectSet<? extends VisualStudioProject>`
`getProjects()`
The `VisualStudioProject`s generated.
`NamedDomainObjectSet<? extends VisualStudioSolution>`
`getSolutions()`
The `VisualStudioSolution`s generated.

## Method Details

### getProjects

NamedDomainObjectSet<? extends VisualStudioProject> getProjects()
The `VisualStudioProject`s generated.

### getSolutions

NamedDomainObjectSet<? extends VisualStudioSolution> getSolutions()
The `VisualStudioSolution`s generated.